@charset "utf-8";

/* summary */
.main-summary .content-box {
    padding-top: 160px;
    padding-bottom: 160px;
}
.main-summary .main-summary__heading .c-text__subtitle {font-weight: 500;}
.main-summary .grid-layout-main {
    grid-template-columns: repeat(3, minmax(0, 464px));
    gap: 24px;
}
.main-summary .grid-layout-main .grid-layout__item:hover a,
.main-summary .grid-layout-main .grid-layout__item:focus a,
.main-summary .grid-layout-main .grid-layout__item:active a {background-color: var(--Primary-Color-Blue);}
.main-summary .grid-layout-main .grid-layout__item:first-child {grid-column-start: 3;}
.main-summary .grid-layout-main .grid-layout__item:nth-child(4) {grid-column-start: 2;}
.main-summary .grid-layout-main .c-text {padding: 12px 16px 11px 16px;}
.main-summary .grid-layout-main .main-summary__btn {display: block;}
.main-summary [class*="btn-icon"] {
    width: 24px;
    height: 24px;
}
@media screen and (max-width: 1023px) {
    .main-summary .content-box {
        padding-top: 100px;
        padding-bottom: 100px;
    }
    .main-summary .main-summary__heading {
        padding: 0 24px;
        margin-bottom: 64px;
    }
    .main-summary .grid-layout-main {
        display: flex;
        flex-wrap: nowrap;
        justify-content:flex-start;
        overflow-x: auto;
        gap: 12px;
        padding:0 24px
    }
    .main-summary .grid-layout-main .grid-layout__item {
        width: 100%;
        min-width: 258px;
        max-width: calc(33.3% - 12px);
    }
    .main-summary .grid-layout-main .grid-layout__item:first-child {grid-column-start: unset;}
    .main-summary .grid-layout-main .grid-layout__item:nth-child(4) {grid-column-start: unset;}
    .main-summary .grid-layout-main .c-text {padding: 12px 16px;}
    .main-summary [class*="btn-icon"] {
        width: 16px;
        height: 16px;
    }
}

/* main-models */
.main-models .main-models__list {padding: 120px 0 160px;}
.main-models .flex-layout + .flex-layout {margin-top: 24px;}
.main-models .flex-layout--full .c-card__media {
    min-height: 744px;
    aspect-ratio: 1916 / 744;
}
.main-models .flex-layout--2col .c-card__media {aspect-ratio: 708 / 618;}
.main-models .flex-layout--3col .c-card__media {aspect-ratio: 464 / 618;}
.main-models .c-card__title {color: var(--Primary-Color-White);}
.main-models .c-card__desc {
    margin-top: 12px;
    color: var(--Primary-Color-White);
}
@media screen and (max-width: 1023px) {
    .main-models .main-models__list {padding: 80px 0 100px}
    .main-models .flex-layout--full .c-card__media {
        max-height: 560px;
        min-height: unset;
        aspect-ratio: 390 / 560;
    }
    .main-models .flex-layout--2col .c-card__media {aspect-ratio: 342 / 416;}
    .main-models .flex-layout--3col .c-card__media {aspect-ratio: 342 / 416;}
    .main-models .c-card__desc {margin-top: 9px;}
}

/* N Owner's Club */
.main-noc .content-box {padding: 160px 0 240px;}
.main-noc .container {
    max-width: 1112px;
    margin: 0 auto;
}
.main-noc .cp-commu-layout__head .el-title {
    font-family: var(--font-head);
    font-size: 80px;
    font-weight: 700;
    line-height: var(--lh-base);
    text-align: center;
}
.main-noc .cp-commu-layout__head .el-desc {
    margin-top:16px;
    font-family: var(--font-head);
    font-size: 32px;
    font-weight: 700;
    line-height: var(--lh-lg);
    text-align: center;
}
.main-noc .cp-commu-layout__column {
    margin-top:160px;
    border-top:2px solid var(--Line-Color-Line_02);
}
.main-noc .cp-commu-layout__column .column-item {padding:40px 16px}
.main-noc .cp-commu-layout__column .column-item + .column-item{border-top:1px solid var(--Line-Color-Line_02);}
.main-noc .cp-commu-layout__column .el-category {
    font-family: var(--font-text);
    font-size: 14px;
    font-weight: 700;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .post-info {
    width:100%;
    text-align:left;
}
.main-noc .cp-commu-layout__column .column-box {
    margin-top:12px;
    display:flex;
    justify-content: space-between;
}
.main-noc .cp-commu-layout__column .column-text {flex: 1 1 auto}
.main-noc .cp-commu-layout__column .column-text .el-title {
    font-family: var(--font-head);
    font-size: 32px;
    font-weight: 700;
    line-height: var(--lh-lg);
    word-break: break-word;
}
.main-noc .cp-commu-layout__column .column-text .el-desc {
    margin-top:12px;
    font-family: var(--font-base);
    font-size: 16px;
    font-weight: 500;
    line-height: var(--lh-lg);
    word-break: break-word;
    white-space: pre-line;
}
.main-noc .cp-commu-layout__column .column-visual {
    flex:0 0 240px;
    margin-left:24px;
}
.main-noc .cp-commu-layout__column .column-visual .thum {height:240px}
.main-noc .cp-commu-layout__column .column-visual img {
    width:100%;
    height:100%;
    object-fit: cover;
}
.main-noc .cp-commu-layout__column .el-tags {
    margin-top:20px;
    display:flex;
    flex-wrap:wrap;
    gap:12px;
}
.main-noc .cp-commu-layout__column .el-tags button {
    font-family: var(--font-base);
    font-size: 14px;
    font-weight: 400;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .el-tags button:hover {text-decoration: underline;}
.main-noc .cp-commu-layout__column .el-date {margin-top: 20px;}
.main-noc .cp-commu-layout__column .el-date-text {
    font-family: var(--font-base);
    font-size: 14px;
    font-weight: 400;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .el-option {
    margin-top:20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.main-noc .cp-commu-layout__column .el-option .icon-option {
    display:flex;
    gap:12px;
}
.main-noc .cp-commu-layout__column .el-option .icon-favorite-area {
    display: flex;
    align-items: center;
}
.main-noc .cp-commu-layout__column .el-option .icon-option .btn {
    display:flex;
    gap:8px;
    align-items: center;
}
.main-noc .cp-commu-layout__column .el-option .icon-option .btn .txt-num {
    font-family: var(--font-text);
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: var(--lh-sm);
}
:lang(ko) {
    .main-noc .cp-commu-layout__column .el-option .icon-option .btn .txt-num {
        margin-top: 1px;
    }
}
.main-noc .cp-commu-layout__column .profile-area {
    position:relative;
    display:flex;
    align-items: center;
    margin-top:40px;
}
.main-noc .cp-commu-layout__column .item-challenges .profile-area {padding:0 16px 16px;}
.main-noc .cp-commu-layout__column .profile-area .info .profile-box .pop-open:hover .name,
.main-noc .cp-commu-layout__column .profile-area .info .profile-box .pop-open:hover .com-name,
.main-noc .cp-commu-layout__rank-item .profile-area .pop-open:hover .name,
.main-noc .cp-commu-layout__rank-item .profile-area .pop-open:hover .com-name {color:#de3111;}
.main-noc .cp-commu-layout__column .profile-area .info .profile-open {display:block;}
.cp-commu-layout .cp-commu-layout__column .profile-area .club-popup {
    top:65px;
    left:0;
}
.main-noc .cp-commu-layout__column .profile-area .profile-img {
    margin-right:8px;
    width:40px;
    height:40px;
    background: url(/inc/images/img/img_Nful_profile_default.png) no-repeat;
    background-size: 100%;
}
.main-noc .cp-commu-layout__column .profile-area .profile-img img {
    height:100%;
    min-height: 40px;
    background-color: #e6eff8;
}
.main-noc .cp-commu-layout__column .profile-area .name {
    display:flex;
    align-items: center;
    gap:8px;
    font-family: var(--font-text);
    font-size: 14px;
    font-weight: 700;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .profile-area .name .icon {
    width:20px;
    height:20px;
}
.main-noc .cp-commu-layout__column .profile-area .com-name {
    font-family: var(--font-base);
    font-size: 12px;
    font-weight: 400;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .btn-wrap-default {margin-top:80px;}
.main-noc .cp-commu-layout__column .item-box-btn {
    display:block;
    width:100%;
    text-align:left;
}
.main-noc .cp-commu-layout__column .item-challenges {padding:24px 0;}
.main-noc .cp-commu-layout__column .column-item + .item-challenges,
.main-noc .cp-commu-layout__column .item-challenges + .column-item,
.main-noc .cp-commu-layout__column .item-challenges + .item-challenges {border-top:1px solid var(--Line-Color-Line_02);}
.main-noc .cp-commu-layout__column .item-challenges .item-box-inner {padding:16px;}
.main-noc .cp-commu-layout__column .item-challenges .el-category {
    font-family: var(--font-text);
    font-size: 14px;
    font-weight: 700;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .item-challenges .el-title {
    margin-top:12px;
    font-family: var(--font-head);
    font-size: 32px;
    font-weight: 700;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .item-challenges .item-detail {
    display:flex;
    align-items: flex-start;
    justify-content: space-between;
    padding:16px;
    margin-top:20px;
    background-color: var(--Primary-Color-Blue);
}
.main-noc .cp-commu-layout__column .item-challenges .item-detail .el-subject {
    font-family: var(--font-head);
    font-size: 20px;
    font-weight: 700;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .item-challenges .item-detail .el-date {
    margin-top:8px;
    font-family: var(--font-text);
    font-size: 12px;
    font-weight: 400;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .item-challenges .item-detail .el-members {
    display: flex;
    align-items: center;
}
.main-noc .cp-commu-layout__column .item-challenges .item-detail .el-members .icon {
    display: flex;
    align-items: center;
    font-family: var(--font-text);
    font-size: 16px;
    font-weight: 700;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .item-challenges .item-detail .el-members .icon::before {
    content: '';
    display:inline-block;
    width:20px;
    height:20px;
    margin-right:8px;
    background-color: var(--Primary-Color-Black);
    -webkit-mask-image: url(/inc/images/icon/icon-member.svg);
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-image: url(/inc/images/icon/icon-member.svg);
    mask-repeat: no-repeat;
    mask-size: contain;
}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-complete {background-color: var(--Primary-Color-Black);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-complete .el-subject,
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-complete .el-date {color:var(--Primary-Color-White);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-complete .icon {color:var(--Primary-Color-White);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-complete .icon::before {background-color: var(--Primary-Color-White);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-disabled {background-color: var(--Line-Color-Line_02);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-disabled .el-subject {color: var(--Secondary-Color-Black_777777);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-disabled .el-date {color: var(--Secondary-Color-Black_777777);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-disabled .icon {color: var(--Secondary-Color-Black_777777);}
.main-noc .cp-commu-layout__column .item-challenges .item-detail.is-disabled .icon::before {background-color: var(--Secondary-Color-Black_777777);}
.main-noc .cp-commu-layout__column .item-challenges .item-visual {position:relative;}
.main-noc .cp-commu-layout__column .item-challenges .item-visual img {
    width:100%;
    max-height:460px;
    object-fit: cover;
}
.main-noc .cp-commu-layout__column .item-challenges .el-tags {
    display:flex;
    flex-wrap:wrap;
    gap:12px;
    margin-top:20px;
    padding:0 16px;
}
.main-noc .cp-commu-layout__column .item-challenges .el-tags button {
    font-family: var(--font-base);
    font-size: 14px;
    font-weight: 400;
    line-height: var(--lh-lg);
}
.main-noc .cp-commu-layout__column .item-challenges .el-tags button:hover {text-decoration: underline;}
.main-noc .cp-commu-layout__column .item-challenges .el-option {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top:20px;
    padding:0 16px;
}
.main-noc .cp-commu-layout__column .item-challenges .el-option .icon-option {
    display:flex;
    gap:12px;
}
.main-noc .cp-commu-layout__column .item-challenges .el-option .icon-favorite-area {
    display: flex;
    align-items: center;
}
.main-noc .cp-commu-layout__column .item-challenges .el-option .btn {
    display:flex;
    gap:8px;
    align-items: center;
}
.main-noc .cp-commu-layout__column .item-challenges .el-option .btn .txt-num {
    font-family: var(--font-text);
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: var(--lh-lg);
}

@media screen and (max-width: 1023px) {
    .main-noc .content-box {padding: 100px 24px 150px;}
    .main-noc .container {
        width:100%;
        padding: 0
    }
    .main-noc .cp-commu-layout__head .el-title {
        font-size: 40px;
        line-height: var(--lh-base);
    }
    .main-noc .cp-commu-layout__head .el-desc {
        margin-top:16px;
        font-size: 20px;
    }
    .main-noc .cp-commu-layout__column {margin-top:100px;}
    .main-noc .cp-commu-layout__column .column-item {padding:40px 0;}
    .main-noc .cp-commu-layout__column .column-text {flex: 1 1 auto;}
    .main-noc .cp-commu-layout__column .column-text .el-title {
        overflow:hidden;
        max-height:56px;
        display: -webkit-box;
        font-size: 20px;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
    }
    .main-noc .cp-commu-layout__column .column-text .el-desc {
        overflow:hidden;
        max-height:66px;
        display: -webkit-box;
        margin-top:8px;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
    }
    .main-noc .cp-commu-layout__column .column-visual {
        width: 122px;
        height: 122px;
        flex-shrink: 0;
        margin-left:20px;
        flex:0 0 auto;
    }
    .main-noc .cp-commu-layout__column .column-visual .thum {
        width: 100%;
        height: 100%;
    }
    .main-noc .cp-commu-layout__column .profile-area .com-name {margin-top:0;}
    .main-noc .cp-commu-layout__column .btn-wrap-default {margin-top:64px;}
    .main-noc .cp-commu-layout__column .item-challenges {padding:40px 0;}
    .main-noc .cp-commu-layout__column .item-challenges .item-box-inner {padding:0;}
    .main-noc .cp-commu-layout__column .item-challenges .el-title {font-size:24px;}
    .main-noc .cp-commu-layout__column .item-challenges .item-visual {position:relative;}
    .main-noc .cp-commu-layout__column .item-challenges .item-visual img {
        width:100%;
        max-height:none;
        height:calc(100vw - 48px);
    }
    .main-noc .cp-commu-layout__column .item-challenges .el-tags {padding: 0;}
    .main-noc .cp-commu-layout__column .item-challenges .el-option {padding:0;}
    .main-noc .cp-commu-layout__column .item-challenges .profile-area {padding:0;}
}